package com.inspect.alarmdifferent.mapper;

import com.inspect.alarmdifferent.domain.AlarmDifferent;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface AlarmDifferentMapper {
    AlarmDifferent selectAlarmDifferentByLineId(Long lineId);

    List<AlarmDifferent> selectAlarmDifferentList(AlarmDifferent alarmDifferent);

    int insertAlarmDifferent(AlarmDifferent alarmDifferent);

    int updateAlarmDifferent(AlarmDifferent alarmDifferent);

    int deleteAlarmDifferentByLineId(Long lineId);

    int deleteAlarmDifferentByLineIds(Long[] lineIds);
}
